---
variables:
  # Use the service name without the "ryax-" prefix
  RYAX_TOOL: CHANGEME
  # The same as RYAX_TOOL excepts if it contains multiple words: replace '-' (kebab-case) by upper case (camelCase)
  RYAX_TOOL_IN_CHART: CHANGEME
  # Update this on major update
  RYAX_ADM_VERSION: 24.02.0

include:
  - project: ryax-tech/ryax/ci_common
    # Update on the latest release (see https://gitlab.com/ryax-tech/ryax/ci_common/-/tags)
    ref: 5.0.0
    file: common-steps-gitlab-ci.yml

check_code_quality:
  extends: .check_code_quality

verify_helm_charts:
  extends: .verify_helm_charts

test:
  extends: .test

package_and_push_image_amd64:
  extends: .package_and_push_image

package_and_push_image_arm64:
  extends: .package_and_push_image
  variables:
    KUBERNETES_NODE_SELECTOR_ARCH: "kubernetes.io/arch=arm64"
    ARCH: arm64

push_multi_arch_image_manifest:
  extends: .push_multi_arch_image_manifest
  needs:
    - package_and_push_image_amd64
    - package_and_push_image_arm64

package_helm_charts:
  extends: .package_helm_charts

tag_image:
  extends: .tag_image

tag_charts:
  extends: .tag_charts

release_image:
  extends: .release_image

release_image_latest:
  extends: .release_image
  variables:
    DEST_IMAGE_TAG: latest

release_charts:
  extends: .release_charts

release_charts_latest:
  extends: .release_charts
  variables:
    CHART_VERSION: 0.0.0-latest

dev-1-update:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-1-update

dev-1-clean:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-1-clean

dev-2-update:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-2-update

dev-2-clean:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .dev-2-clean

update_staging:
  variables:
    RYAX_TOOL: $RYAX_TOOL_IN_CHART
  extends: .update_staging

copy_to_dockerhub:
  extends: .copy_to_dockerhub

copy_to_dockerhub_latest:
  extends: .copy_to_dockerhub
  variables:
    DEST_IMAGE_TAG: latest
  needs:
    - copy_to_dockerhub
